<?php
/**
 * The template for displaying 404 pages (not found)
 */

defined( 'ABSPATH' ) || die( "Can't access directly" );

// Redirection
$redirect_404 = get_theme_mod('redirect_404', 'default');
$redirect_404_custom_url = get_theme_mod('redirect_404_custom_url', '');

if ( $redirect_404 == "home" ) {
	wp_redirect(get_home_url());
	exit;
}

if ( $redirect_404 == "custom" && !empty($redirect_404_custom_url) ) {
	wp_redirect( esc_url($redirect_404_custom_url) );
	exit;
}

// Header + Status
get_header();
status_header(404);
?>

<div class="wrap">

	<div id="primary" class="content-area">

		<main id="main" class="site-main" role="main">

			<section class="error-404 not-found">

				<header class="page-header">

					<h1 class="page-title"><?php _e( 'Oops! That page can&rsquo;t be found.', 'arcade' ); ?></h1>

				</header><!-- .page-header -->

				<div class="page-content">

					<p><?php _e( 'It looks like nothing was found at this location. Maybe try a search?', 'arcade' ); ?></p>

					<?php get_search_form(); ?>

				</div><!-- .page-content -->

			</section><!-- .error-404 -->

		</main><!-- #main -->

	</div><!-- #primary -->

</div><!-- .wrap -->



<?php

get_footer();

